DbMemoryException (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbMemoryException,DbMemoryException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbMemoryException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sleepycat.db.DbException
                        |
                        +--com.sleepycat.db.DbMemoryException

All Implemented Interfaces:
  Serializable

public class DbMemoryException
extends DbException

This information describes the DbMemoryException class and how it is used by the various Db* classes.

A DbMemoryException is thrown when there is insufficient memory to complete an operation, and there is the possibility of recovering. An example is during a `Db.get` or `Dbc.get` operation with the `Dbt` flags set to `Db.DB_DBT_USERMEM`.

In a Java Virtual Machine, there are usually separate heaps for memory allocated by native code and for objects allocated in Java code. If the Java heap is exhausted, the JVM will throw an OutOfMemoryError, so you may see that exception rather than DbMemoryException.

See Also:
  Serialized Form

Method Summary
`Dbt` | `get_dbt()` Deprecated. As of Berkeley DB 4.2, replaced by `getDbt()`
`Dbt` | `getDbt()` The getDbt method returns the `Dbt` with insufficient memory to complete the operation, causing the DbMemoryException to be thrown.
`String` | `toString()` Override of DbException.toString(): the extra verbage that comes from DbEnv.strerror(ENOMEM) is not helpful.

Methods inherited from class com.sleepycat.db.DbException
`get_errno, getDbEnv, getErrno`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDbt

    public Dbt getDbt()

  The getDbt method returns the `Dbt` with insufficient memory to complete the operation, causing the DbMemoryException to be thrown.

  Returns:
    The getDbt method returns the `Dbt` with insufficient memory to complete the operation, causing the DbMemoryException to be thrown.

### get_dbt

    public Dbt get_dbt()

  Deprecated. As of Berkeley DB 4.2, replaced by `getDbt()`

  Returns:
    Description of the Return Value

### toString

    public String toString()

  Override of DbException.toString(): the extra verbage that comes from DbEnv.strerror(ENOMEM) is not helpful.

  Overrides:
    `toString` in class `DbException`
  Returns:
    Description of the Return Value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.